<?php
ViewResponse::getInstance()->setMethodAjax();

/*****************************************/
$o_ObjectBean = new ColaboradorBean();
  

//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

//Obtener Filtro X Rol
$o_colaborador_Temp = new TipoColaboradorRolBean();
$o_colaborador_Temp->setIdRol(myUser::getUser()->getRoleId());

$o_ColaboradorBL_Temp = new TipoColaboradorRolBL();
$a_o_Colaborador = $o_ColaboradorBL_Temp->busquedaTipoColaboradorRol($o_colaborador_Temp);

if($a_o_Colaborador[0]->getFiltroColaborador()){
	$a_RolId = explode(",",$a_o_Colaborador[0]->getFiltroColaborador());
}

//----------------------------------------

//Obtener Filtro X Sucursal

 if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	
  	$o_ObjectBean->setIdPadre($o_ColaboradorBeanResult[0]->getIdPadre());
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres
 	//SIN FILTRO
 }else{//Solo los Hijos del Colaborador
  	$o_ObjectBean->setIdPadre(myUser::getUser()->getIdColaborador());
 }

//


if(is_array($a_RolId))	{ $o_ObjectBean->setFiltroColaborador($a_RolId); }
if($idColobarador  !=""){ $o_ObjectBean->setIdColaborador($idColobarador); }
if($Nombres      	!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($Nombres); }
if($Nombres     	!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($Nombres); }
if($Nombres     	!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($Nombres); }
if($Dni            !=""){ $o_ObjectBean->setDni($Dni); }
if($cboIdRol       !=""){ $o_ObjectBean->setIdRol($cboIdRol); }

$o_class = new ColaboradorBL();
$a_ObjectBean = $o_class->busquedaColaborador($o_ObjectBean);

/*****************************************/




$pdf=new FPDF();
$pdf->AliasNbPages();
$pdf->AddPage();

define("POS_IZQ", 5);

/*iniciop titulo*/
$pdf->SetFont('Arial','B',13);
$pdf->SetXY(POS_IZQ,10);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(250,5,'Listado de Empleado',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('Arial','B',7);
$pdf->SetXY(POS_IZQ,20);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(10,5,'Nro',0,0,'L',1);
$pdf->Cell(70,5,'Empleado',0,0,'L',1);
$pdf->Cell(15,5,'Dni',0,0,'L',1);
$pdf->Cell(20,5,'Telefono',0,0,'L',1);
$pdf->Cell(20,5,'Celular',0,0,'L',1);
$pdf->Cell(20,5,'F. Ingreso',0,0,'L',1);
$pdf->Cell(20,5,'F. Nacimiento',0,0,'L',1);
$pdf->Cell(10,5,'Estado',0,0,'L',1);


$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('Arial','B',7);

if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  
    if($count==55){
      $pdf->AddPage();
      $pos   = 10;
      $count = -9;
    }
    
    $pdf->SetXY(POS_IZQ,$pos);
    //$pdf->SetFillColor(236,235,236);
    $pdf->Cell(10,5,($iKey+1),0,0,'L',1);
    $pdf->Cell(70,5,strtoupper($o_objBean->getNombreCompleto()),0,0,'L',1);
    $pdf->Cell(15,5,$o_objBean->getDni() ,0,0,'L',1);
    $pdf->Cell(20,5,$o_objBean->getTelefono(),0,0,'L',1);
    $pdf->Cell(20,5,$o_objBean->getCelular(),0,0,'L',1);
    $pdf->Cell(20,5,$o_objBean->getFechaIngreso(),0,0,'L',1);
    $pdf->Cell(20,5,$o_objBean->getFechaNacimiento(),0,0,'L',1);
    $pdf->Cell(10,5,$o_objBean->getEstado(),0,0,'L',1);

   
       
    $pos=$pos+4;
    $count++;
  
  }
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(250,5,"No hay registros.",0,0,'L',1);
  
}

$pdf->Output();

?>